import {defineStore} from "pinia";
import {ref} from 'vue'
import {getMazeTasksInterface} from "@/api/maze.js";

export const useMazeStore = defineStore('mazeStore', () => {
    const task = ref([])

    const getMazeTasks = async () => {
        const res = await getMazeTasksInterface()
        task.value = res.data
    }

    return {
        task,
        getMazeTasks,
    }
})
